Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 714130 - app-editors/neovim-0.4.3 : fails to build with -fno-common or gcc-10
Summary: app-editors/neovim-0.4.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-03-24 08:18 UTC by Toralf Förster
Modified: 2020-09-29 10:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.01 KB, text/plain)
2020-03-24 08:18 UTC, Toralf Förster
Details
app-editors:neovim-0.4.3:20200323-211014.log (app-editors:neovim-0.4.3:20200323-211014.log,387.54 KB, text/plain)
2020-03-24 08:18 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,26.66 KB, text/plain)
2020-03-24 08:18 UTC, Toralf Förster
Details
environment (environment,86.52 KB, text/plain)
2020-03-24 08:18 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,10.68 KB, application/x-bzip)
2020-03-24 08:18 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.12 KB, application/x-bzip)
2020-03-24 08:18 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.92 KB, application/x-bzip)
2020-03-24 08:18 UTC, Toralf Förster
Details
Fixes neovim compilation with gcc-10 (gcc10-fix.patch,7.21 KB, patch)
2020-07-25 11:07 UTC, Chris Arepantis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-24 08:18:31 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/nvim/CMakeFiles/nvim.dir/__/__/config/auto/pathdef.c.o (symbol from plugin): in function compiled_sys:
(.text+0x0): multiple definition of ListLenSpecials; src/nvim/CMakeFiles/nvim.dir/auto/msgpack_lua_c_bindings.generated.c.o (symbol from plugin):(.text+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/nvim/CMakeFiles/nvim.dir/api/buffer.c.o (symbol from plugin): in function nvim_buf_line_count:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl-20200323-071630

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Mon 23 Mar 2020 07:39:53 PM UTC
/var/db/repos/libressl	Thu 19 Mar 2020 04:37:24 PM UTC

emerge -qpvO app-editors/neovim
[ebuild  N    ] app-editors/neovim-0.4.3  USE="luajit nvimpager tui"
Comment 1 Toralf Förster gentoo-dev 2020-03-24 08:18:33 UTC
Created attachment 624842 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-24 08:18:36 UTC
Created attachment 624844 [details]
app-editors:neovim-0.4.3:20200323-211014.log
Comment 3 Toralf Förster gentoo-dev 2020-03-24 08:18:39 UTC
Created attachment 624846 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-03-24 08:18:42 UTC
Created attachment 624848 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-03-24 08:18:44 UTC
Created attachment 624850 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-24 08:18:47 UTC
Created attachment 624852 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-03-24 08:18:50 UTC
Created attachment 624854 [details]
temp.tbz2
Comment 8 Vasco Gervasi 2020-05-16 17:18:02 UTC
I am having the same bug with gcc-10.1.0.

Thanks
Comment 9 Vasco Gervasi 2020-05-16 17:19:23 UTC
Seems that has been fixed upstream:
https://github.com/neovim/neovim/pull/11890
Comment 10 Vasco Gervasi 2020-05-16 17:23:54 UTC
The live version (neovim-9999) works.
Comment 11 Chris Arepantis 2020-07-25 11:07:08 UTC
Created attachment 650702 [details, diff]
Fixes neovim compilation with gcc-10

(In reply to Vasco Gervasi from comment #9)
> Seems that has been fixed upstream:
> https://github.com/neovim/neovim/pull/11890
All upstream patches concatenated in one file.
Comment 12 Larry the Git Cow gentoo-dev 2020-09-29 10:26:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6adf2a312c7176e82e8436c55c42d47963a0813e

commit 6adf2a312c7176e82e8436c55c42d47963a0813e
Author:     Joonas Niilola <juippis@gentoo.org>
AuthorDate: 2020-09-29 10:18:04 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-09-29 10:26:00 +0000

    app-editors/neovim: gcc-10 fix for 0.4.3
    
     - non-maintainer commit, but thoroughly tested.
    
    Closes: https://bugs.gentoo.org/714130
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../neovim/files/neovim-0.4.3-gcc-10-fix.patch     | 225 +++++++++++++++++++++
 app-editors/neovim/neovim-0.4.3.ebuild             |   2 +
 2 files changed, 227 insertions(+)